## ros-noetic-camera-calibration 1.17.0

=== debian/changelog ===
ros-noetic-camera-calibration (1.17.0-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 17 Oct 2022 05:00:00 -0000

ros-noetic-camera-calibration (1.16.0-1focal) focal; urgency=high

  * fix premature camera model change in camera_calibration
  * Fix shebang lines for noetic python3
  * Contributors: Michael Carroll, Victor Dubois

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 12 Nov 2021 06:00:00 -0000

ros-noetic-camera-calibration (1.15.3-1focal) focal; urgency=high

  * Update fisheye distortion model definition
  * remove email blasts from steve macenski (#595 <https://github.com/ros-perception/image_pipeline/issues/595>)
  * Fix calibration yaml formatting (#580 <https://github.com/ros-perception/image_pipeline/issues/580>) (#585 <https://github.com/ros-perception/image_pipeline/issues/585>)
    Co-authored-by: David Torres Ocaña <mailto:david.torres.ocana@gmail.com>
  * updated linear_error function to handle partial board views (#561 <https://github.com/ros-perception/image_pipeline/issues/561>)
    * updated linear_error function to handle partial board views
    * more charuco fixes
    * filter len fix
  * Fix missing detected checkerboard points (#558 <https://github.com/ros-perception/image_pipeline/issues/558>)
    Variables are swapped
  * Removed basestring (no longer exists in new python 3 version). (#552 <https://github.com/ros-perception/image_pipeline/issues/552>)
    Fixes #551 <https://github.com/ros-perception/image_pipeline/issues/551>
  * ChArUco board, Noetic (#549 <https://github.com/ros-perception/image_pipeline/issues/549>)
  * fix #503 <https://github.com/ros-perception/image_pipeline/issues/503>: (#545 <https://github.com/ros-perception/image_pipeline/issues/545>)
    set_cammodel of StereoCalibrator need to override the method of parent class
    fix related to opencv/opencv#11085 <https://github.com/opencv/opencv/issues/11085>:
    unlike cv2.calibrate, the cv2.fisheye.calibrate method expects float64 points and in an array with an extra dimension. The same for cv2.stereoCalibrate vs cv2.fisheye.stereoCalibrate
  * Contributors: DavidTorresOcana, John Stechschulte, Joshua Whitley, PfeifferMicha, Photon, Steve Macenski, soeroesg

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Fri, 11 Dec 2020 06:00:00 -0000

ros-noetic-camera-calibration (1.15.2-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 19 May 2020 05:00:00 -0000

ros-noetic-camera-calibration (1.15.1-1focal) focal; urgency=high



 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 18 May 2020 05:00:00 -0000

ros-noetic-camera-calibration (1.15.0-1focal) focal; urgency=high

  * Python 3 compatibility (#530 <https://github.com/ros-perception/image_pipeline/issues/530>)
  * cmake_minimum_required to 3.0.2
  * Adapted to OpenCV4
  * import setup from setuptools instead of distutils-core
  * Apply #509 <https://github.com/ros-perception/image_pipeline/issues/509> and #526 <https://github.com/ros-perception/image_pipeline/issues/526> to Noetic Branch (#528 <https://github.com/ros-perception/image_pipeline/issues/528>)
  * Fixes #501 <https://github.com/ros-perception/image_pipeline/issues/501>: self.size is set before dumping calibration parameters in calibrator.py do_calibration(self, dump) (#502 <https://github.com/ros-perception/image_pipeline/issues/502>)
  * Contributors: Joshua Whitley, Stewart Jamieson

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Thu, 14 May 2020 05:00:00 -0000

ros-noetic-camera-calibration (1.14.0-1focal) focal; urgency=high

  * Add Fisheye calibration tool (#440 <https://github.com/ros-perception/image_pipeline/issues/440>)
    * Add Fisheye calibration tool
    * Restore camera_calib files permisions
    * Upgrades to calibrator tool for multi model calibration
    * Solve fisheye balance selection
    * Add fisheye calibration flags as user arguments
    * Add undistortion of points for fisheye
    * cam_calib: Style formating
  * camera_calibration: Improve YAML formatting, make config dumping methods static (#438 <https://github.com/ros-perception/image_pipeline/issues/438>)
    * Add from __future__ import print_function
    * Improve YAML formatting, make some methods static
    * Improves matrix formatting in YAML.
    * Reduced decimal figures for camera and projection matrix values from 8 to 5.
    * Making the methods static allows them to be used from elsewhere as well to dump calibration info.
  * camera_calibration: Fix all-zero distortion coeffs returned for a rational_polynomial model (#433 <https://github.com/ros-perception/image_pipeline/issues/433>)
    * Fix empty distortion coeffs returned for a rational_polynomial model
    * Remove the redundant distCoeffs parameter from cv2.calibrateCamera()
    * Set the shape of distortion_coefficients correctly in YAML output
  * Merge pull request #437 <https://github.com/ros-perception/image_pipeline/issues/437> from valgur/enable-calibration-with-empty-queue
    camera_calibration: Make sure 'calibrate' button works even if not receiving images anymore
  * Make sure 'calibrate' button works even if not receiving images anymore
  * Merge pull request #432 <https://github.com/ros-perception/image_pipeline/issues/432> from valgur/melodic
    camera_calibration: Fix excessive CPU usage due to queue synchronization
  * Replace deque with a modified Queue, add --queue-size param
    Base fork on upstream melodic instead of indigo
  * Contributors: David Torres Ocaña, Joshua Whitley, Martin Valgur, Tim Übelhör

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Sun, 12 Jan 2020 06:00:00 -0000

ros-noetic-camera-calibration (1.13.0-1focal) focal; urgency=high

  * Merge pull request #356 <https://github.com/ros-perception/image_pipeline/issues/356> from sevangelatos/feature/calibrator_rolling_shutter
  * Add max-chessboard-speed option to allow more accurate calibration of rolling shutter cameras.

