=== debian/control ===
Source: ros-noetic-camera-calibration
Section: misc
Priority: optional
Maintainer: Vincent Rabaud <vincent.rabaud@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin (>= 0.5.68), ros-noetic-rostest <!nocheck>
Homepage: http://www.ros.org/wiki/camera_calibration
Standards-Version: 3.9.2

Package: ros-noetic-camera-calibration
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-cv-bridge, ros-noetic-image-geometry, ros-noetic-message-filters, ros-noetic-rospy, ros-noetic-sensor-msgs, ros-noetic-std-srvs
Description: camera_calibration allows easy calibration of monocular or stereo cameras using a checkerboard calibration target.
